#
# spec file for package rocket.term
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           rocket.term
Version:        0.2.0
Release:        2.14
Summary:        Text based chat client for the Rocket.chat messaging solution
License:        GPL-2.0-or-later
Group:          Productivity/Networking/Instant Messenger
URL:            https://github.com/gerstner-hub/rocket.term
Source:         https://github.com/gerstner-hub/rocket.term/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  python3-setuptools
Requires:       python3-requests
Requires:       python3-urwid
Requires:       python3-websocket-client
BuildArch:      noarch

%description
rocket.term is a text based client for Rocket.chat that runs in a terminal.

%prep
%autosetup -p1

%build
%python3_build

%install
%python3_install

%files
%doc README.md
%license LICENSE
%{python3_sitelib}/*
%{_bindir}/rocketterm

%changelog
* Tue Mar  9 2021 Jan Engelhardt <jengelh@inai.de>
- Trim future plans from description.
* Mon Mar  8 2021 Dirk Müller <dmueller@suse.com>
- remove service file and fix source tarball checksum mismatch
* Mon Mar  8 2021 Matthias Gerstner <matthias.gerstner@suse.com>
- update to new major version 0.2.0:
  - new features since 0.1.0:
  * join and leave open chat rooms and private groups
  * kick users from or invite users to private groups
  * create new public channels or private groups
  * open URLs from the chat in a configurable application
  * upload and download file attachments
  * see unread rooms upon startup (direct chats or rooms in which you have
    been mentioned)
  * configure the colors used via the INI file
  * configure the key bindings via the INI file
  * configures external scripts to be called via hooks in the INI file e.g.
    to play a sound upon certain events
  * some additional special message types are now processed as well
  * overall stability should be better and bugs should be fewer
* Wed Feb 24 2021 Michael Vetter <mvetter@suse.com>
- Run spec-cleaner
- Use python macros
* Wed Dec  9 2020 Matthias Gerstner <matthias.gerstner@suse.com>
- initial package
